package com.objis.tp.listeners;

import javax.servlet.*;

import com.objis.tp.filtrejee.util.Compteur;

/*
 * Listener (couteur) contexte de servlet (accessible par toutes les servlets) 
 */

public final class ContextListener  implements ServletContextListener {
    private ServletContext context = null;

    // 1. Gestion vnement 'initialisation du contexte de Servlet'
    public void contextInitialized(ServletContextEvent event) {
         context = event.getServletContext();

         Compteur counter = new Compteur();
         context.setAttribute("compteurNbVisites", counter);
    }
      
    // 2. Gestion vnement 'destruction du contexte de Servlet'
    public void contextDestroyed(ServletContextEvent event) {
         context = event.getServletContext();

         if (context != null) {
           context.removeAttribute("compteurNbVisites");
         }
    }
}
